%define module_name	acx100
%define module_release	alt1
%define module_version	20071003

%define kversion	2.6.18
%define krelease	alt1
%define flavour		ovz-wks

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	Linux %{module_name} kernel module for ACX100-based wireless cards
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132626.1
License:	GPL
Group:		System/Kernel and hardware
Serial:		1

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://acx100.sourceforge.net/
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86 x86_64

%description
Currently this driver for standard ACX100, ACX100 USB, ACX111 and TNETW1450 USB
cards still is a bit experimental.

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%if "%flavour" == "ovz-smp"
%__subst 's,system_utsname\.version,init_utsname()->sysname,' pci.c
%endif

%build
export KERNEL_SOURCE=%_usrsrc/linux-%kversion-%flavour
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make \
%ifarch %ix86
CC="gcc-$GCC_VERSION -m32" \
%else
CC="gcc-$GCC_VERSION" \
%endif
-C $KERNEL_SOURCE M=$PWD

%install
%__mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
%__cp -a *.ko $RPM_BUILD_ROOT/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Sat Apr 19 2008 Denis Smirnov <mithraen@altlinux.ru> 1:20071003-alt1.132626.1
- Build for kernel-image-ovz-wks-2.6.18-alt1.

* Sun Nov 04 2007 L.A. Kostis <lakostis@altlinux.ru> 1:20071003-alt1
- acx-20071003 snapshot.

* Wed Sep 26 2007 L.A. Kostis <lakostis@altlinux.ru> 1:20070101-alt2
- fix compile on x86_64.

* Mon Aug 06 2007 L.A. Kostis <lakostis@altlinux.ru> 1:20070101-alt1
- acx-20070101 cvs snapshot.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1:20060521-alt2
- Removed unneeded "Prereq: modutils".

* Sat Dec 09 2006 L.A. Kostis <lakostis@altlinux.ru> 1:20060521-alt1
- initial build for Sisyphus.
- add quirks for compiling all kernel flavours.

